Alias
Unique ID that retains all the essential information about the data without compromising its security. A value can have multiple aliases.
Given a list of aliases, retrieves all associated values stored in the vault.
NOTE: This endpoint may expose sensitive data. Therefore, it is disabled by default. To enable it, please contact your VGS account manager or drop us a line at support@verygoodsecurity.com.
NOTE: metadata information fields of the alias classifiers, created_at and format are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
Comma-separated list of aliases to reveal.
["tok_sandbox_5UpnbMvaihRuRwz5QXwBFw,tok_sandbox_9ToiJHedw1nE1Jfx1qYYgz"]PERSISTENT or VOLATILE storage
["PERSISTENT"]OK
Something went wrong
GET /aliases?aliases=text HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"errors": [
{
"status": 1,
"title": "text",
"detail": "text",
"href": "text"
}
]
}Stores multiple values at once & returns their aliases. Alternatively, this endpoint may be used to associate additional (i.e. secondary) aliases with the same underlying data as the reference alias specified in the request body.
NOTE: You cannot reference the same alias more than once in a single request.
NOTE: metadata information fields of the alias classifiers, created_at and format are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
The media type of the resource being sent in the request body.
application/jsonCreated
Something went wrong
POST /aliases HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100
{
"data": [
{
"value": 122105155,
"classifiers": [
"bank-account"
],
"format": "UUID",
"storage": "PERSISTENT"
}
]
}{
"errors": [
{
"status": 1,
"title": "text",
"detail": "text",
"href": "text"
}
]
}Deletes multiple aliases.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
The media type of the resource being sent in the request body.
application/jsonFormat for batch requests (limit 20)
No Content
No content
Not Found
POST /aliases/delete HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
"{\"data\":[\"123-13123-1232\"],\"storage\":\"PERSISTENT\"}"No content
Retrieves a stored value along with its aliases.
NOTE: metadata information fields of the alias classifiers, created_at and format are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
Alias to operate on.
tok_sandbox_bhtsCwFUzoJMw9rWUfEV5ePERSISTENTPossible values: OK
Something went wrong
GET /aliases/{alias} HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"errors": [
{
"status": 1,
"title": "text",
"detail": "text",
"href": "text"
}
]
}Apply a new set of classifiers to the value that the specified alias is associated with. Note that this will replace existing classifiers.
NOTE: update operation is not supported for VOLATILE aliases.
NOTE: metadata information fields of the alias classifiers, created_at and format are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
Alias to operate on.
tok_sandbox_bhtsCwFUzoJMw9rWUfEV5eNo Content
Something went wrong
PUT /aliases/{alias} HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"data": {
"classifiers": [
"bank-account"
],
"storage": "PERSISTENT"
}
}{
"errors": [
{
"status": 1,
"title": "text",
"detail": "text",
"href": "text"
}
]
}Removes a single alias.
This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials
Alias to operate on.
tok_sandbox_bhtsCwFUzoJMw9rWUfEV5ePERSISTENTPossible values: No Content
Something went wrong
DELETE /aliases/{alias} HTTP/1.1
Host: {vault-id}.sandbox.vault-api.verygoodvault.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"errors": [
{
"status": 1,
"title": "text",
"detail": "text",
"href": "text"
}
]
}Last updated

